> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook endpoints

> Retrieves all the webhook endpoints registered for the authenticated partner.



## OpenAPI

````yaml get /register/webhooks
openapi: 3.0.3
info:
  title: Onboarding API
  version: '1.0'
  license:
    name: Proprietary
    url: https://qonto.com/terms
servers:
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox
  - url: https://onboarding-partners.qonto.com
    description: Production
security:
  - apiKey: []
    qontoPartnerId: []
tags:
  - name: Registrations
    description: Endpoints for Registration resource
  - name: Files
    description: Endpoints for file management throughout the company creation process.
  - name: Webhooks
    description: Endpoints to configure webhook to be notified about registration progress.
paths:
  /register/webhooks:
    get:
      tags:
        - Webhooks
      summary: List webhook endpoints
      description: >-
        Retrieves all the webhook endpoints registered for the authenticated
        partner.
      operationId: webhooks/list
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - $ref: '#/components/parameters/per_page'
        - $ref: '#/components/parameters/page'
      responses:
        '200':
          description: |
            Returns the list of webhook endpoints.
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhook_subscriptions:
                    type: array
                    items:
                      $ref: '#/components/schemas/webhook'
                  meta:
                    $ref: '#/components/schemas/pagination'
        '400':
          $ref: '#/components/responses/400-bad-request'
        '401':
          $ref: '#/components/responses/401-unauthorized'
        '500':
          $ref: '#/components/responses/500-internal-servor-error'
      security:
        - apiKey: []
          qontoPartnerId: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
    per_page:
      name: per_page
      in: query
      required: false
      schema:
        type: string
        default: '25'
      description: Number of objects per page.
    page:
      name: page
      in: query
      required: false
      schema:
        type: string
        default: '1'
      description: Returned page.
  schemas:
    webhook:
      title: Webhook
      type: object
      required:
        - callback_url
        - enabled
        - secret
      properties:
        id:
          type: string
          format: uuid
          example: 37824615-afec-4340-b700-0981b5f0c319
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          example: '2021-08-17T12:31:32.689Z'
        updated_at:
          type: string
          format: date-time
          readOnly: true
          example: '2021-08-17T12:31:32.689Z'
        callback_url:
          type: string
          description: Your webhook endpoint
          example: https://example.com/myCallbackUrl
        enabled:
          type: boolean
          description: Whether the webhook should be used or not
          default: true
          example: true
        secret:
          type: string
          description: Secret used for applying HMAC-SHA256 to the webhook event payload
          example: 1qA+9OSwfnm0NuhF+b8CJA==
    pagination:
      type: object
      properties:
        current_page:
          type: integer
          description: The current page.
          example: 1
        next_page:
          type: integer
          nullable: true
          description: The next page, or null if there is no next page.
          example: 2
        prev_page:
          type: integer
          nullable: true
          description: The previous page, or null if there is no previous page.
          example: null
        total_pages:
          type: integer
          description: The total number of pages given the `per_page` value.
          example: 2
        total_count:
          type: integer
          description: The total number of items.
          example: 27
        per_page:
          type: integer
          description: The number of items per page.
          example: 25
      required:
        - current_page
        - next_page
        - prev_page
        - total_pages
        - total_count
        - per_page
    errors:
      title: Errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                readOnly: true
              detail:
                type: string
                readOnly: true
              source:
                type: object
                properties:
                  pointer:
                    type: string
                readOnly: true
            required:
              - code
              - detail
  responses:
    400-bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
    401-unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/unauthorized'
    500-internal-servor-error:
      description: Returns an internal server error.
  examples:
    unauthorized:
      value:
        errors:
          - code: unauthorized
            detail: You must authenticate to perform API requests
  securitySchemes:
    apiKey:
      type: http
      description: >
        Bearer authorization header: `Bearer <token>`.

        To get your `<token>`, please sign up to the [Developer
        Portal](https://developers.qonto.com/).
      scheme: bearer
      bearerFormat: JWT
    qontoPartnerId:
      type: apiKey
      description: >
        API Key authorization header: `Qonto-Partner-Id: <partner_id>`.

        To get your `<partner_id>` please, sign up to the [Developer
        Portal](https://developers.qonto.com/).
      name: Qonto-Partner-Id
      in: header

````